-------------
-- WARRIOR --
-------------

if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "WARRIOR") then
    return;
end

--[[
-- generic spells
Watcher:AddIcon("Battle Shout", 6673);
Watcher:AddIcon("Berserker Rage", 18499);
Watcher:AddIcon("Bloodthirst", 23881);
Watcher:AddIcon("Colossus Smash", 86346);
Watcher:AddIcon("Commanding Shout", 469);
Watcher:AddIcon("Deadly Calm", 85730);
Watcher:AddIcon("Demoralizing Banner", 114203);
Watcher:AddIcon("Demoralizing Shout", 1160);
Watcher:AddIcon("Devastate", 20243);
Watcher:AddIcon("Die by the Sword", 118038);
Watcher:AddIcon("Execute", 5308);
Watcher:AddIcon("Heroic Strike", 78);
Watcher:AddIcon("Mocking Banner", 114192);
Watcher:AddIcon("Mortal Strike", 12294);
Watcher:AddIcon("Overpower", 7384);
Watcher:AddIcon("Pummel", 12817);
Watcher:AddIcon("Raging Blow", 96103);
Watcher:AddIcon("Recklessness", 1719);
Watcher:AddIcon("Revenge", 6572);
Watcher:AddIcon("Shield Barrier", 112048);
Watcher:AddIcon("Shield Block", 2565);
Watcher:AddIcon("Shield Slam", 23922);
Watcher:AddIcon("Shield Wall", 871);
Watcher:AddIcon("Skull Banner", 114207);
Watcher:AddIcon("Slam", 1464);
Watcher:AddIcon("Sunder Armor", 7386);
Watcher:AddIcon("Sweeping Strikes", 12328);
Watcher:AddIcon("Thunder Clap", 6343);
Watcher:AddIcon("Victory Rush", 34428);
Watcher:AddIcon("Whirlwind", 1680);
Watcher:AddIcon("Wild Strike", 100130);

-- talented spells and procs
Watcher:AddIcon("Avatar", 107574);
Watcher:AddIcon("Bladestorm", 46924);
Watcher:AddIcon("Bloodbath", 113344);
Watcher:AddIcon("Dragon Roar", 118000);
Watcher:AddIcon("Enraged Regeneration", 55694);
Watcher:AddIcon("Impending Victory", 103840);
Watcher:AddIcon("Raging Blow!", 131116);
Watcher:AddIcon("Shockwave", 46968);
Watcher:AddIcon("Storm Bolt", 107570);
Watcher:AddIcon("Taste for Blood", 56638);
Watcher:AddIcon("Ultimatum", 122509);
Watcher:AddIcon("Weakened Blows", 115798);

function Watcher:AddClassSpells()
    Watcher:Apply("Weakened Blows", "Thunder Clap", 0, 0, true, true)
    Watcher:Buff("Battle Shout", "Battle Shout", true)
    Watcher:Buff("Commanding Shout", "Commanding Shout", true)
    Watcher:Debuff("Colossus Smash")
    Watcher:Debuff("Demoralizing Shout")
    Watcher:Direct("Berserker Rage")
    Watcher:Direct("Bloodbath")
    Watcher:Direct("Bloodthirst")
    Watcher:Direct("Deadly Calm")
    Watcher:Direct("Devastate")
    Watcher:Direct("Mortal Strike")
    Watcher:Direct("Overpower")
    Watcher:Direct("Recklessness")
    Watcher:Direct("Revenge")
    Watcher:Direct("Shield Block")
    Watcher:Direct("Shield Slam")
    Watcher:Direct("Skull Banner")
    Watcher:Direct("Slam")
    Watcher:Direct("Wild Strike")
    Watcher:HealthThreshold(25, false, "Execute")
    Watcher:Proc("Raging Blow!", "Raging Blow")
    Watcher:Proc("Taste for Blood", "Heroic Strike")
    Watcher:Proc("Ultimatum", "Heroic Strike")
end

--]]